#include <eh.h>
#include <iostream.h>
#include <process.h>

void FastExit(void);

int main()
{
	// Устанавливаем функцию term_func
	set_terminate(FastExit);

	try
	{
		// ...

		// Вызываем исключение типа int
		throw (int) 323; 

		// ...
	}
	
	// Определяем обработчик типа char. Обработчик исключений 
	// типа int и универсальный обработчик не определены
	catch(char)
	{
		cout << "Exception " << endl;
	}
	return 0;
}

// Определение функции FastExit
void FastExit()
{ 
	cout << "Exception handler not found" << endl;
	exit(-1);
}
